export declare type HSV = {
    h: number;
    s: number;
    v: number;
};
export declare type HSVA = {
    h: number;
    s: number;
    v: number;
    a: number;
};
export declare type HSL = {
    h: number;
    s: number;
    l: number;
};
export declare type HSLA = {
    h: number;
    s: number;
    l: number;
    a: number;
};
export declare type vector2 = {
    x: number;
    y: number;
};
export declare type RGBA = {
    r: number;
    g: number;
    b: number;
    a: number;
};
export declare type RGB = {
    r: number;
    g: number;
    b: number;
};
export declare type HEX = string;
export declare enum colorEnum {
    HEX = "hex",
    RGBA = "rgba",
    HSV = "hsv",
    HSL = "hsl"
}
export interface ColorSet {
    [colorEnum.HSV]: HSVA;
    [colorEnum.HSL]: HSLA;
    [colorEnum.HEX]: HEX;
    [colorEnum.RGBA]: RGBA;
}
export declare type colorParams = HSV | HSL | RGB | RGBA | HEX | HSVA | HSLA;
